WorldFirst DocsWorldFirst Docs

Query card BIN configurationSignature required

POST /amsin/api/v1/business/worldcard/queryCardBinConfig

Before calling the applyCard API to issue a card, partners can call this API to query available card BIN configurations.

Structure

A message consists of a header and body. For details, see the following sections.

Request header

Field

Required

Sample

Description

Client-Id

Yes

Client-Id: *****

Signature

Yes

Signature: algorithm=RSA256, keyVersion=2, signature=*****

Content-Type

Yes

Content-Type: application/json; charset=UTF-8

Request-Time

Yes

Request-Time: 2019-04-04T12:08:56+08:00

Connected-AccountId

Conditional

Connected-AccountId: *****

Attention

Required when a partner manages a customer's account.

Access-Token

Conditional

Access-Token: ******

Attention

Required for OAUTH authorization. Refer to applyToken.


Request parameters

cardType String  REQUIRED

The type of card.

Valid value is:

  • VIRTUAL

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

cardBinList Object  REQUIRED

Card BIN configuration list.

This field is returned only when resultStatus = S.

Show child parameters
API Explorer

Request

URL
Request Body

Response

Response Body

Result processing logic

After calling the API, a response is returned. Possible values for result.resultStatus are:

Result status

Description

S

Indicates that the API call succeeded.

F

Indicates that the API call failed. For additional information on the failure, refer to result.resultCode.

U

Indicates that the API call result is unknown. If this status is returned, the Partner may make a query. The querying strategy is as follows:

  • Maximum 7 queries are allowed. 
  • Intervals between queries: 5 min, 10 min, 20 min, 40 min, 80 min, 160 min, and 320 min.

If no queries succeed, contact our Technical Support Team.

result.resultCode: System result codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

SYSTEM_ERRORFSystem error.

Do not retry, and contact our Technical Support Team for more details.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

CONTRACT_NOT_EXISTFContract does not exist.

Ensure the Partner has already signed a contract and the input is correct.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh the token to get a new access token or contact our Technical Support Team to address it.

AUTHORIZATION_NOT_EXISTFThe authorization does not exist.

Make sure that the input is correct. If the issue persists, contact our Technical Support Team to verify the authorization status.